Skip to main content

Update Lead Event: MRI

PUThttps://api.propexo.com/v1/events/leads/mri/:event_id
Method
/mriapiservices/api.asp?$api=MRI_S-PMRM_UpdateRmAction

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

event_id stringrequired

The Propexo unique identifier for the event

Request​

This endpoint expects an object.

    event_datetimestring<date-time>required

    The date when the event will occur

    event_type_idstringrequired

    The Propexo unique identifier for the event type

    employee_idstring

    The Propexo unique identifier for the employee. Must have a role of LEASING_AGENT

    statusstring

    The raw status associated with the event

    Show 4 enum values
    COMPLETEDOPENREVIEWDENIED
    notesstring

    Notes associated with the event

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    event_idstringrequired

    The Propexo unique identifier for the event

    event_datetimestring<date-time>required

    The date when the event will occur

    event_type_idstringrequired

    The Propexo unique identifier for the event type

    employee_idstring

    The Propexo unique identifier for the employee. Must have a role of LEASING_AGENT

    statusstring

    The raw status associated with the event

    Show 4 enum values
    COMPLETEDOPENREVIEWDENIED
    notesstring

    Notes associated with the event

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/events/leads/mri/:event_id
curl -X PUT https://api.propexo.com/v1/events/leads/mri/:event_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"event_datetime": "2024-07-29T15:51:28.071Z",
"event_type_id": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"event_id": "string",
"event_datetime": "2024-07-29T15:51:28.071Z",
"event_type_id": "string",
"employee_id": "string",
"status": "COMPLETED",
"notes": "string"
}
}